Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.functions
Class Type0Function

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.functions.Function<PdfStream>
              org.pdfclown.documents.functions.Type0Function

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class Type0Function

extends Function<PdfStream>

Sampled function using a sequence of sample values to provide an approximation for functions whose domains and ranges are bounded [PDF:1.6:3.9.1].

The samples are organized as an m-dimensional table in which each entry has n components.

Since:
  0.1.0
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Type0Function.InterpolationOrderEnum`

Nested classes/interfaces inherited from class org.pdfclown.documents.functions.Function
`Function.IDefaultIntervalsCallback<T extends Comparable<T>>`

Method Summary
`double[]` | `calculate(double[] inputs)` Gets the result of the calculation applied by this function to the specified input values.
`Type0Function` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`List<Interval<Integer>>` | `getDomainEncodes()` Gets the linear mapping of input values into the domain of the function's sample table.
`Type0Function.InterpolationOrderEnum` | `getOrder()` Gets the order of interpolation between samples.
`List<Interval<Double>>` | `getRangeDecodes()` Gets the linear mapping of sample values into the ranges of the function's output values.
`int` | `getSampleBitsCount()` Gets the number of bits used to represent each sample.
`List<Integer>` | `getSampleCounts()` Gets the number of samples in each input dimension of the sample table.

Methods inherited from class org.pdfclown.documents.functions.Function
`calculate, getDictionary, getDomains, getInputCount, getIntervals, getOutputCount, getRanges, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### calculate

    public double[] calculate(double[] inputs)

  Description copied from class: `Function`
  Gets the result of the calculation applied by this function to the specified input values.

  Specified by:
    `calculate` in class `Function<PdfStream>`
  Parameters:
    `inputs` - Input values.

### clone

    public Type0Function clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfStream>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getDomainEncodes

    public List<Interval<Integer>> getDomainEncodes()

  Gets the linear mapping of input values into the domain of the function's sample table.

### getOrder

    public Type0Function.InterpolationOrderEnum getOrder()

  Gets the order of interpolation between samples.

### getRangeDecodes

    public List<Interval<Double>> getRangeDecodes()

  Gets the linear mapping of sample values into the ranges of the function's output values.

### getSampleBitsCount

    public int getSampleBitsCount()

  Gets the number of bits used to represent each sample.

### getSampleCounts

    public List<Integer> getSampleCounts()

  Gets the number of samples in each input dimension of the sample table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.